=== debian/changelog ===
unifrac (0.10.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 17:42:25 +0000

unifrac (0.10.0-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: better clean-up
  * removed -mfma to avoid illegal instruction error on older machines

 -- Steffen Moeller <moeller@debian.org>  Tue, 14 Sep 2021 17:39:15 +0530

unifrac (0.10.0-2) unstable; urgency=medium

  * Strip out rpath via chrpath
  * d/salsa-ci.yml: Enable lintian

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Jul 2021 20:05:50 +0530

unifrac (0.10.0-1) unstable; urgency=medium

  * Initial release (Closes: #991458)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Jul 2021 19:13:14 +0530
