=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=unifrac

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:`pwd`/sucpp dh_auto_test -O --buildsystem=pybuild
endif

execute_after_dh_install:
	chrpath -d debian/libssu-tools/usr/bin/ssu
	chrpath -d debian/libssu-tools/usr/bin/faithpd
	chrpath -d debian/libssu0/usr/lib/$(DEB_HOST_MULTIARCH)/libssu.so.0

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.o" -delete
	rm -rf .pybuild/ build/ sucpp/ssu unifrac/_api.cpp sucpp/test_su sucpp/test_api sucpp/libssu.so.0 sucpp/faithpd sucpp/libssu.so
	rm -rf unifrac.egg-info
