## unifrac 1.1.1

=== debian/changelog ===
unifrac (1.1.1-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/rules: better clean-up
  * removed -mfma to avoid illegal instruction error on older machines

  [ Andreas Tille ]
  * New upstream version
  * Add myself to Uploaders and remove Nilesh
    Closes: #996921
  * Standards-Version: 4.6.1 (routine-update)
  * Now depends from libssu-dev provided by unifrac-tools
  * Build-Depends: python3-iow
  * Hardening
  * Versioned Build-Depends: python3-iow (>= 1.0.5-3)

  [ Étienne Mollier ]
  * d/t/run-unit-test: run from within unifrac directory.

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 06:34:11 +0100
