=== debian/control ===
Source: unifrac
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-numpy,
               cython3,
               libhdf5-dev,
               hdf5-helpers,
               python3-h5py,
               python3-biom-format,
               python3-skbio <!nocheck>,
               python3-iow (>= 1.0.5-3) <!nocheck>,
               libssu-dev (>= 1.1.1)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/unifrac
Vcs-Git: https://salsa.debian.org/med-team/unifrac.git
Homepage: https://github.com/biocore/unifrac
Rules-Requires-Root: no

Package: python3-unifrac
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: high-performance phylogenetic diversity calculations
 The de facto repository for high-performance phylogenetic diversity
 calculations. The methods in this repository are based on an
 implementation of the Strided State UniFrac algorithm which is faster,
 and uses less memory than Fast UniFrac. Strided State UniFrac supports
 Unweighted UniFrac, Weighted UniFrac, Generalized UniFrac, Variance
 Adjusted UniFrac and meta UniFrac. This repository also includes Stacked
 Faith (manuscript in preparation), a method for calculating Faith's PD
 that is faster and uses less memory than the Fast UniFrac-based
 reference implementation.
 .
 This package contains the Python3 module.
