## unifrac 1.2

=== debian/changelog ===
unifrac (1.2-3) unstable; urgency=medium

  * Versioned Build-Depends: python3-skbio (>= 0.5.8-3~)
    Closes: #1030182

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 13:47:44 +0100

unifrac (1.2-2) unstable; urgency=medium

  * Relax some tests to pass on ppc64el

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 09:15:43 +0100

unifrac (1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Nilesh Patra ]
  * Versioned B-D on ssu and skbio

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2023 21:51:22 +0530

unifrac (1.1.1-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 08:47:28 +0100
