=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                hdf5-helpers,
                python3-h5py,
                python3-biom-format,
-               python3-skbio <!nocheck>,
-               python3-iow (>= 1.0.5-3) <!nocheck>,
-               libssu-dev (>= 1.1.1)
-Standards-Version: 4.6.1
+               python3-skbio (>= 0.5.8-3~) <!nocheck>,
+               python3-iow <!nocheck>,
+               libssu-dev (>= 1.2-1~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/unifrac
 Vcs-Git: https://salsa.debian.org/med-team/unifrac.git
 Homepage: https://github.com/biocore/unifrac
