## unifrac 1.3

=== debian/changelog ===
unifrac (1.3-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 09:52:50 +0000

unifrac (1.3-2) unstable; urgency=medium

  * execute dh_numpy3 after dh_python3 to assign python3-numpy-abi
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Drop cython3 dependency from binary package
    Closes: #1058015

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2023 21:02:39 +0100

unifrac (1.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Bump versioned Build-Depends: libssu-dev (>= 1.3.2-1~)

  [ Nilesh Patra ]
  * Relax test conditions on test_unweighted_minimal_trees to get
    tests passing (Closes: #1042198)
  * Add versioned dep on libssu-dev (1.4-2~) to get faith_pd test fixed

 -- Nilesh Patra <nilesh@debian.org>  Tue, 24 Oct 2023 04:20:14 +0530
