=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                python3-numpy,
@@ -17,7 +17,7 @@
                python3-biom-format,
                python3-skbio (>= 0.5.8-3~) <!nocheck>,
                python3-iow <!nocheck>,
-               libssu-dev (>= 1.2-1~)
+               libssu-dev (>= 1.4-2~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/unifrac
 Vcs-Git: https://salsa.debian.org/med-team/unifrac.git
