=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=unifrac

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf unifrac.egg-info unifrac/_api.c

override_dh_python3:
	dh_python3
	dh_numpy3
